> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Feedback

> This endpoint returns the feedback record corresponding with the ID in the path.

<Note>
  If the user is no longer able to leave feedback for this purchase, a 404
  will be returned instead.
</Note>

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField path="id" type="string" required>
  The feedback id
</ParamField>

### Response

<Snippet file="entities/feedback.mdx" />

<RequestExample>
  ```bash theme={null}
  curl https://api.thanxsandbox.com/feedbacks/590485d6f0 \
    -X PATCH \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
    -d '{
      "feedback": {
        "rating": 10,
        "review": "Lorem ipsum dolor sit amet"
      }
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "feedback": {
      "id": "590485d6f0",
      "user_id": "fsjlk",
      "merchant_id": "woeri34",
      "location_id": "fgr2349gh",
      "state": "unviewed",
      "expires_at": "2020-01-07T20:00:00Z",
      "rating": null,
      "review": null,
      "response": null,
      "purchase": {
        "id": "916895d48a",
        "purchased_at": "2020-01-01T20:00:00Z",
        "amount": 16.0,
        "order": {
          "id": "aepo3cme2p",
          "provider": "Toast"
        }
      }
    }
  }
  ```
</ResponseExample>
